Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMesaPolyDataMapper Class Reference

`#include <vtkMesaPolyDataMapper.h>`

Inheritance diagram for vtkMesaPolyDataMapper:

[legend]
Collaboration diagram for vtkMesaPolyDataMapper:

[legend]
List of all members.

## Detailed Description

a PolyDataMapper for the Mesa library

Date:
  2002/08/22 18:39:30

Revision:
  1.20

vtkMesaPolyDataMapper is a subclass of vtkPolyDataMapper. vtkMesaPolyDataMapper is a geometric PolyDataMapper for the Mesa rendering library.

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (66%)
  - Hoffman, Bill (32%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkMesaPolyDataMapper.h)`
  - .`cxx` (`/Rendering/vtkMesaPolyDataMapper.cxx)`

Examples:
  vtkMesaPolyDataMapper (Examples)

Tests:
  vtkMesaPolyDataMapper (Tests)

Definition at line 54 of file vtkMesaPolyDataMapper.h.

## Public Types
typedef vtkPolyDataMapper | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | RenderPiece (vtkRenderer *ren, vtkActor *a)
void | ReleaseGraphicsResources (vtkWindow *)
virtual int | Draw (vtkRenderer *ren, vtkActor *a)
## Static Public Methods
vtkMesaPolyDataMapper * | New ()
int | IsTypeOf (const char *type)
vtkMesaPolyDataMapper * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMesaPolyDataMapper ()
| ~vtkMesaPolyDataMapper ()
## Protected Attributes
int | ListId
vtkRenderWindow * | RenderWindow

## Member Typedef Documentation

typedef vtkPolyDataMapper vtkMesaPolyDataMapper::Superclass

| Reimplemented from vtkPolyDataMapper. Definition at line 58 of file vtkMesaPolyDataMapper.h.

## Constructor & Destructor Documentation

vtkMesaPolyDataMapper::vtkMesaPolyDataMapper | ( |  | ) | `[protected]`

vtkMesaPolyDataMapper::~vtkMesaPolyDataMapper | ( |  | ) | `[protected]`

## Member Function Documentation

vtkMesaPolyDataMapper* vtkMesaPolyDataMapper::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkPolyDataMapper.

virtual const char* vtkMesaPolyDataMapper::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataMapper.

int vtkMesaPolyDataMapper::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataMapper.

virtual int vtkMesaPolyDataMapper::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataMapper.

vtkMesaPolyDataMapper* vtkMesaPolyDataMapper::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataMapper.

virtual void vtkMesaPolyDataMapper::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataMapper.

virtual void vtkMesaPolyDataMapper::RenderPiece | ( | vtkRenderer * | ren,
|  | vtkActor * | a
| ) | `[virtual]`

| Implement superclass render method. Implements vtkPolyDataMapper.

void vtkMesaPolyDataMapper::ReleaseGraphicsResources | ( | vtkWindow * |  | ) | `[virtual]`

| Release any graphics resources that are being consumed by this mapper. The parameter window could be used to determine which graphic resources to release. Reimplemented from vtkMapper.

virtual int vtkMesaPolyDataMapper::Draw | ( | vtkRenderer * | ren,
|  | vtkActor * | a
| ) | `[virtual]`

| Draw method for Mesa.

## Member Data Documentation

int vtkMesaPolyDataMapper::ListId`[protected]`

| Definition at line 76 of file vtkMesaPolyDataMapper.h.

vtkRenderWindow* vtkMesaPolyDataMapper::RenderWindow`[protected]`

| Definition at line 77 of file vtkMesaPolyDataMapper.h.

The documentation for this class was generated from the following file:

- Rendering/vtkMesaPolyDataMapper.h